% These are the piano key numbers and the corresponding durations for
% the song Minuet in G Major by J.S. Bach.
% This is the LONG version which has all the notes; there is also a short
% version available for debugging in the file called migshort.m
%
% There are 3 matrices defined: TREBLE, BASS1, and BASS2.
% TREBLE(2,N) contains the note and duration information for the treble clef,
% or upper part of the score. TREBLE(2,N) is a 2 by N matrix where the 
% first row is the list of key numbers and the second rows is the list of
% corresponding durations.
% BASS1(2,N) and BASS2(2,N) define the bass clef, or lower part.
%
% A duration of 1 corresponds to a quarter note; a note value of 0 is a rest.
% In this song there are several times when the treble clef has two notes
% together, in these cases the second treble note is actually placed in one
% of the bass clef arrays (where there is an open slot).
%
%  The formatting of this file is designed to make it easy to spot
% which measure the notes are from.

TREBLE = [ ...
54 47 49 51 52,		54 47 47,		56 52 54 56 58,		...
59 47 47,		52 54 52 51 49,		51 52 51 49 47,		...
46 47 49 51 47,		51 49,			54 47 49 51 52,		...
54 47 47,		56 52 54 56 58,		59 47 47,		...
52 54 52 51 49,		51 52 51 49 47,		49 51 49 47 46,		...
47,			63 59 61 63 59,		61 54 56 58 54,		...
59 56 58 59 54,		53 51 53 49,		49 51 53 54 56 58,	...
59 58 56,		58 49 53,		54,			...
54 47 46 47,		56 47 46 47,		54 52 51,		...
49 47 46 47 49,		42 44 46 47 49 51,	52 51 49,		...
51 54 47 46,		47;
1 0.5 0.5 0.5 0.5,      1  1  1,                 1 0.5 0.5 0.5 0.5,      ...
1  1  1,                1 0.5 0.5 0.5 0.5,       1 0.5 0.5 0.5 0.5,      ...
1 0.5 0.5 0.5 0.5,      1  2,                    1 0.5 0.5 0.5 0.5,      ...
1  1  1,                1 0.5 0.5 0.5 0.5,       1  1  1,                ...
1 0.5 0.5 0.5 0.5,      1 0.5 0.5 0.5 0.5,       1 0.5 0.5 0.5 0.5,      ...
3,                      1 0.5 0.5 0.5 0.5,       1 0.5 0.5 0.5 0.5,      ...
1 0.5 0.5 0.5 0.5,      1 0.5 0.5  1,            0.5 0.5 0.5 0.5 0.5 0.5, ...
1  1  1,                1  1  1,                 3,                      ...
1 0.5 0.5  1,           1 0.5 0.5  1,             1  1  1,               ...
0.5 0.5 0.5 0.5  1,     0.5 0.5 0.5 0.5 0.5 0.5,  1  1  1,               ...
0.5 0.5  1  1,          3       ];


BASS1 = [ ...
39 37,                  42,                     44,                     ...
42,                     42,                     42,                     ...
42 39 35,               42 30 40 39 37,         39 37,                  ...
35 39 35,               40,                     39 40 39 37 35,         ...
37 34,                  35 39,                  40 42,                  ...
39 42 35,               42,                     42,                     ...
32 35 32,               37 25,                  37,                     ...
39 42 41,               42 34 37,               46,                     ...
39 42 42,               40 44 44,               39 37 35,               ...
34,                     34,                     32 35 34,               ...
0 40,                  39;
2  1,                   3,                      3,                      ...
3,                      3,                      3,                      ...
1  1  1,                1 0.5 0.5 0.5 0.5,      2  1,                   ...
1  1  1,                3,                      1 0.5 0.5 0.5 0.5,      ...
2  1,                   2  1,                   2  1,                   ...
1  1  1,                3,                      3,                      ...
1  1  1,                2  1,                   3,                      ...
1  1  1,                1  1  1,                3,                      ...
1  1  1,                1  1  1,                1  1  1,                ...
3,                      3,                      1  1  1,                ...
2 1,                    3       ];

BASS2 = [ ...
35  0,                  39,                     40,                     ...
39,                     34,                     35,                     ...
 0,                      0,                      0,                     ...
 0,                      0,                      0,                     ...
 0,                      0,                      0,                     ...
 0,                     35,                     34,                     ...
 0,                      0,                      0,                     ...
 0,                      0,                     42 30 40,               ...
 0,                      0,                      0,                     ...
30,                      0,                      0,                     ...
35 27 30,               35 30 23;
2  1,                   3,                      3,                      ...
3,                      3,                      3,                      ...
3,                      3,                      3,                      ...
3,                      3,                      3,                      ...
3,                      3,                      3,                      ...
3,                      3,                      3,                      ...
3,                      3,                      3,                      ...
3,                      3,                      1  1  1,                ...
3,                      3,                      3,                      ...
3,                      3,                      3,                      ...
1  1  1,                1  1  1 ];
